Loading...
Searching...
No Matches
Dune::CartesianIndexMapper< CpGrid > Class Reference

## Public Member Functions

| CartesianIndexMapper (const Grid &grid)
const std::array< int, dimension > & | cartesianDimensions () const
int | cartesianSize () const
int | compressedSize () const
int | cartesianIndex (const int compressedElementIndex) const
void | cartesianCoordinate (const int compressedElementIndex, std::array< int, dimension > &coords) const

## Static Public Attributes

static const int | dimension = 3

## Protected Types

typedef CpGrid | Grid

## Protected Member Functions

int | computeCartesianSize () const

## Protected Attributes

const Grid & | grid_
const int | cartesianSize_

The documentation for this class was generated from the following file:

- opm/grid/cpgrid/CartesianIndexMapper.hpp